<?php
header("Content-Type: text/xml; charset=utf-8");      
ini_set('max_execution_time', 0); 
$dir = '../inc/';
require_once $dir."database.php";
require_once $dir."DW_class.php";
$dw = new DWDB();
$zaman = date('d.m.Y H:i:s');
//* Seo Link oluşturma
function seo_link($link) {
$link = trim($link);
$eski = array('Ç','ç','Ğ','ğ','ı','İ','Ö','ö','Ş','ş','Ü','ü',' ','\'','|','/','`','&#39;','&quot;','&',',','.','?','®',')','(','{','}','[',']');
$yeni = array('c','c','g','g','i','i','o','o','s','s','u','u','-','-','','-','','','','','','','','','','','','','','');
$seo_link = str_replace($eski,$yeni,$link);
$seo_link = strtolower($seo_link);
return $seo_link;
}
//* Seo Link oluşturma
//* Ayar Cek
$ayarcek = $dw->getRow('SELECT * FROM ayarlar WHERE id = ?', array('bindValues' => array(1)));
//* Ayar Cek
$xml ='<Products>';
$results = $dw->getResults('SELECT * FROM urunler where anaurun = 0 and durum = 1 order by id');
foreach ($results as $yaz) {
//* Marka cek
$markacek = $dw->getRow('SELECT * FROM markalar WHERE id = ?', array('bindValues' => array($yaz->marka)));
//* Marka cek
//* Resim cek
$resimcek = $dw->getRow('SELECT * FROM resimler WHERE urunid = ?', array('bindValues' => array($yaz->id)));
$resimsayisi = $dw->numRows();
if($resimsayisi == 0) {
$resim = "gorselhazir.png";
$kresim = "gorselhazir.png";
} else {
$resim = $resimcek->ortaresim;
$kresim = $resimcek->kucukresim;
}
//* Resim cek
if ($yaz->fiyatbirimi == 0) {
	$fiyatbirim = "TL";
} elseif ($yaz->fiyatbirimi == 1) {
	$fiyatbirim = "USD";
} elseif ($yaz->fiyatbirimi == 2) {
	$fiyatbirim = "EUR";
} elseif ($yaz->fiyatbirimi == 3) {
	$fiyatbirim = "RUB";
} elseif ($yaz->fiyatbirimi == 4) {
	$fiyatbirim = "ALTIN";
}
$xml.= '<Product>
<URUNID>'.$yaz->id.'</URUNID>
<ANAURUNID>'.$yaz->id.'</ANAURUNID>
<MARKA><![CDATA['.$markacek->marka.']]></MARKA>
<URUN_ADI><![CDATA['.$yaz->urun.']]></URUN_ADI>
<ANA_KATEGORI_ID>'.$kategoricek->id.'</ANA_KATEGORI_ID>
<ANA_KATEGORI_ADI><![CDATA['.$kategoricek->kategori.']]></ANA_KATEGORI_ADI>
<ALT_KATEGORI_ID>'.$altkategoricek->id.'</ALT_KATEGORI_ID>
<ALT_KATEGORI_ADI><![CDATA['.$altkategoricek->kategori.']]></ALT_KATEGORI_ADI>
<LINK>'.$ayarcek->sitelink.''.$link.'.html</LINK>
<ACIKLAMA><![CDATA['.$yaz->detay.']]></ACIKLAMA>
<KUCUK_RESIM><![CDATA['.$ayarcek->sitelink.'yukleme/urun/'.$kresim.']]></KUCUK_RESIM>
<BUYUK_RESIM><![CDATA['.$ayarcek->sitelink.'yukleme/urun/'.$resim.']]></BUYUK_RESIM>
<RESIM_SAYISI>1</RESIM_SAYISI>
<FIYAT_TIPI>'.$fiyatbirim.'</FIYAT_TIPI>
<PIYASA_FIYATI>'.$yaz->satis_fiyat.'</PIYASA_FIYATI>
<LISTE_FIYATI>'.$yaz->satis_fiyat.'</LISTE_FIYATI>
<BAYI_FIYATI_KDV_DAHIL/>
<BAYI_FIYATI_KDV_HARIC/>
<KDV_ORANI>'.$yaz->kdv.'</KDV_ORANI>
<STOK_ADEDI>'.$yaz->stok.'</STOK_ADEDI>
<BARKOD/>
<BEDEN/>
<RENK/>
</Product>';
}
$xml .= '</Products>';
echo $xml;
error_reporting(0);
?>